Bug Hunting Session
Bug 59886 - FILESAVE as .docx: Date (fixed), Time (fixed) fields become static field name text
Summary: FILESAVE as .docx: Date (fixed), Time (fixed) fields become static field name...
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
3.4.5 release
Hardware: All All
: highest critical
Assignee: Not Assigned
URL:
Whiteboard: BSA target:4.5.0
Keywords:
Depends on:
Blocks: DOCX Fields mab4.3
  Show dependency treegraph
 
Reported: 2013-01-26 05:18 UTC by Layton Nelson
Modified: 2017-05-10 22:55 UTC (History)
7 users (show)

See Also:
Crash report or crash signature:


Attachments
zip file containing current behavior, expected behavior, and the file saved as ODT (12.66 KB, application/zip)
2013-01-26 05:18 UTC, Layton Nelson
Details
the ODT file with data and time field (12.00 KB, application/vnd.oasis.opendocument.text)
2013-09-23 09:09 UTC, Kevin Suo
Details
the same file saved as .DOCX (MS OFFICE 2007/2010) (4.19 KB, application/vnd.openxmlformats-officedocument.wordprocessingml.document)
2013-09-23 09:11 UTC, Kevin Suo
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Layton Nelson 2013-01-26 05:18:46 UTC
Created attachment 73667 [details]
zip file containing current behavior, expected behavior, and the file saved as ODT

Problem description: 
date (fixed) field won't save correctly to docx

Steps to reproduce:
1. create new text document
2. insert a date (fixed) field
3. save as docx
4. close and re-open docx file

Current behavior:
docx document displays "Date (fixed)"

Expected behavior:
display the date
              
Operating System: Mac OS X
Version: 4.0.0.1 rc
Comment 1 Rainer Bielefeld Retired 2013-01-26 08:54:07 UTC
[Reproducible] with "LibO  4.0.0.2 rc   -  GERMAN UI / German Locale  [Build ID: 5991f37846fc3763493029c4958b57282c2597e)]"  {tinderbox: @6, pull time 2013-01-24  07:20(?)} on German WIN7 Home Premium (64bit), also for Time (fixed) 

I see the effect when I open saved document with MS WORD Viewer and with LibO

Same for (MSO2007) and OOXML

RTF, DOC, and others not affected.

Already Reproducible (for document created with LibO 4.0) with 
* server installation of "LibreOffice 3.5.7.2 rc German UI/Locale [Build-ID: 3215f89-f603614-ab984f2-7348103-1225a5b] on German WIN7 Home Premium (64bit)
* Server Installation of   "LibreOffice 3.4.5 English UI [Build ID: OOO340m1 (Build:502)]" parallel Server installation on German WIN7 Home Premium (64bit) 

Still worked fine with 
* Server Installation of "LibreOffice 3.3.3  English UI/ German Locale [OOO330m19 (Build:301) tag libreoffice-3.3.3.1] on German WIN7 Home Premium (64bit) 

So might have been introduced with 3.4?

@Layton Nelson
Thank you for your attention!

@Michael:
Please set Status to ASSIGNED and add yourself to "Assigned To" if you accept this Bug or forward the Bug if it's not your turf
Comment 2 mswerk 2013-08-12 21:43:13 UTC
Behavior still occurs in Writer from all versions of 4.0.0 and 4.1.0 release on Windows XP and Windows 7.

To repeat the issue: 
In any writer document, insert today's date or time from the menu, i.e. Insert/Fields/Date, Insert/Fields/Time, Insert/Fields/Other/Date(fixed), or Insert/Fields/Other/Time(fixed).
Then save as Microsoft Word 2007/2010 XML (.docx) or Office Open XML Text (.docx)
Close the document and reopen.
The reopened document shows the date or time wrong as the text 'Date (fixed)' or 'Time (fixed)' instead of the actual date or time.
Comment 3 Kevin Suo 2013-09-18 08:39:21 UTC
Can reproduce in LibreOffice 4.0.5.2 and 4.1.1.2.
Comment 4 Kevin Suo 2013-09-23 09:09:26 UTC
Created attachment 86347 [details]
the ODT file with data and time field
Comment 5 Kevin Suo 2013-09-23 09:11:07 UTC
Created attachment 86348 [details]
the same file saved as .DOCX (MS OFFICE 2007/2010)

Date and time fields become "Date (fixed)" and "Time (Fixed)"
Comment 6 Björn Michaelsen 2014-01-17 09:58:22 UTC Comment hidden (obsolete)
Comment 7 Kevin Suo 2014-02-11 14:46:50 UTC
Set from "normal" to "critical" as there is DATA LOSS.
Please downgrade if someone disagree.
Comment 8 stragu 2014-02-13 23:08:49 UTC
Moving to mab4.1 (Bug 60270) because:
- 4.0 reached EOL (End Of Life)
- bug confirmed in later version
Comment 9 sdc.blanco 2014-03-24 09:34:59 UTC
Can reproduce in LibreOffice in 4.2.0.4
Comment 10 Terrence Enger 2014-03-26 18:32:25 UTC
I mentioned <https://bugs.freedesktop.org/show_bug.cgi?id=58300#c14> in bug 58300 that I have seen a bibliography entry changed to "Bibliography entry" after save as docx and reload.  That sounds similar to this bug, although that bug is mostly about fields being lost.
Comment 11 tommy27 2014-05-05 21:07:07 UTC
still reproducible with 4.2.3.3 and 4.3.0.0.alpha1+
Build ID: f76026a43acc65465882924796d93e635c35fd90
TinderBox: Win-x86@39, Branch:master, Time: 2014-05-04_06:34:33lpha1+

moving to mab4.2 list since 4.1.x is END OF LIFE
Comment 12 AngelBlueSky 2014-05-09 07:06:10 UTC
It happens also with input text field of word!
I can work on word input field using openoffice via reflection, but I can't do the same with libreoffice, whenever I open a word document containing those text fields they become simple text!
LibreOffice_4.2.4
Comment 13 sdc.blanco 2014-09-02 14:06:10 UTC
Has this problem disappeared in 4.3?  If not, is there any chance of adding this to m.a.b. 4.3 (given that  4.2 is near to its  end, and it is a genuinely annoying bug)?
Comment 14 sdc.blanco 2014-11-07 11:06:09 UTC
Can reproduce bug in LibreOffice 4.3.3.2

Can this bug become part of mab 4.3  (given  that it was in mab 4.2, which is at end-of-life)?
Comment 15 Kevin Suo 2014-11-07 11:15:07 UTC
(In reply to sdc.blanco from comment #14)
No. QA people will do this at the time at a proper time.
Comment 16 tommy27 2014-12-08 09:06:42 UTC
moving to mab4.3 list. 
has anybody tried it with 4.4.x or 4.5.x daily builds?
Comment 17 Commit Notification 2014-12-19 16:58:04 UTC
Eilidh McAdam committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=a072b3533f44730565f42b45cfd9f77f44f506a9

fdo#59886 export fixed date and time fields to docx.

It will be available in 4.5.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 18 Commit Notification 2014-12-19 17:28:29 UTC
Eilidh McAdam committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=8ab2b17015592a6cdc8247b8bc245ff5f88bfec9

fdo#59886 unit tests for DOCX fixed date field import/export.

It will be available in 4.5.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 19 tommy27 2015-06-20 07:35:18 UTC
issue still reproducible under Win8.1 x64 using LibO 4.4.3.2
can anyone retest with 5.0.x to see if the patch really fixed the problem?
Comment 20 deligeo 2015-08-09 14:59:23 UTC
Tested in Ubuntu 14.04 with LibreOffice 5.0.0.5 the issue is gone.
The Date(fixed) is shown correctly on LibreOffice after re-opening the file.
Also opened in MS Word 2002 and it works correctly.
I changed the status to Resolved (Fixed) if anyone see's different behaviour feel free to change back.
Comment 21 Kevin Suo 2015-08-10 02:42:48 UTC
Confirm fixed in
Windows 7 x86,
Version: 5.0.0.5
Build ID: 1b1a90865e348b492231e1c451437d7a15bb262b
Locale: zh-CN (zh_CN)